From e15f53f242312ab3df4a3b27ac943aa03e24de53 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Thu, 12 Jul 2012 16:57:19 -0500
Subject: [PATCH] Updated console build script.

The console build script has been modified such that it uses the
com.netscape.certsrv.common source code from the common package.

Ticket #113, #62
---
 base/console/src/CMakeLists.txt      |  640 ++++------------------------------
 scripts/compose_pki_console_packages |    2 +-
 specs/pki-console.spec               |   11 +-
 3 files changed, 75 insertions(+), 578 deletions(-)

diff --git a/base/console/src/CMakeLists.txt b/base/console/src/CMakeLists.txt
index 175a4a1a751154ed10bcdf906ebea8fb75866141..471747d6334173867b63b8f2b6367048de1b7937 100644
--- a/base/console/src/CMakeLists.txt
+++ b/base/console/src/CMakeLists.txt
@@ -76,586 +76,76 @@ find_file(COMMONS_CODEC_JAR
         /usr/share/java
 )
 
+# build common classes
+javac(pki-common-classes
+    SOURCE_DIR
+        ${CMAKE_SOURCE_DIR}/base/common/src
+    SOURCES
+        com/netscape/certsrv/common/*.java
+    CLASSPATH
+        ${BASE_JAR} ${LDAPJDK_JAR} ${MMC_JAR}
+        ${MMC_EN_JAR} ${NMCLF_JAR} ${NMCLF_EN_JAR}
+        ${PKI_NSUTIL_JAR}
+        ${JSS_JAR} ${COMMONS_CODEC_JAR}
+    OUTPUT_DIR
+        ${CMAKE_BINARY_DIR}/classes
+)
 
-# identify java sources
-set(pki-console_java_SRCS
-    com/netscape/certsrv/common/TaskId.java
-    com/netscape/certsrv/common/DestDef.java
-    com/netscape/certsrv/common/NameValuePairs.java
-    com/netscape/certsrv/common/ScopeDef.java
-    com/netscape/certsrv/common/PrefixDef.java
-    com/netscape/certsrv/common/ConfigConstants.java
-    com/netscape/certsrv/common/OpDef.java
-    com/netscape/certsrv/common/Constants.java
-    com/netscape/admin/certsrv/CMSCCMUILoader.java
-    com/netscape/admin/certsrv/IFilterPanel.java
-    com/netscape/admin/certsrv/CMSPageFeeder.java
-    com/netscape/admin/certsrv/CMSResourceObject.java
-    com/netscape/admin/certsrv/CMSOCSPUILoader.java
-    com/netscape/admin/certsrv/Console.java
-    com/netscape/admin/certsrv/connection/AdminConnection.java
-    com/netscape/admin/certsrv/connection/Response.java
-    com/netscape/admin/certsrv/connection/BasicAuthenticator.java
-    com/netscape/admin/certsrv/connection/JSSConnection.java
-    com/netscape/admin/certsrv/connection/IAuthenticator.java
-    com/netscape/admin/certsrv/connection/IConnectionFactory.java
-    com/netscape/admin/certsrv/connection/PromptForTrustDialog.java
-    com/netscape/admin/certsrv/connection/SSLConnectionFactory.java
-    com/netscape/admin/certsrv/connection/IConnection.java
-    com/netscape/admin/certsrv/connection/Request.java
-    com/netscape/admin/certsrv/CMSTaskModel.java
-    com/netscape/admin/certsrv/IEditorPanel.java
-    com/netscape/admin/certsrv/IAttributeContent.java
-    com/netscape/admin/certsrv/CMSAdmin.java
-    com/netscape/admin/certsrv/CMSBaseMenuInfo.java
-    com/netscape/admin/certsrv/CMSTaskObject.java
-    com/netscape/admin/certsrv/IResourceSelectionListener.java
-    com/netscape/admin/certsrv/PasswordCellRenderer.java
-    com/netscape/admin/certsrv/GenericCellEditor.java
-    com/netscape/admin/certsrv/CMSRAUILoader.java
-    com/netscape/admin/certsrv/CMSResourcePage.java
-    com/netscape/admin/certsrv/CustomComboBox.java
-    com/netscape/admin/certsrv/AttrCellRenderer.java
-    com/netscape/admin/certsrv/CMSAdminUtil.java
-    com/netscape/admin/certsrv/CMSCAUILoader.java
-    com/netscape/admin/certsrv/misc/MessageFormatter.java
-    com/netscape/admin/certsrv/CMSBasePanel.java
-    com/netscape/admin/certsrv/CMSAdminResources.java
-    com/netscape/admin/certsrv/managecert/ManageCertModel.java
-    com/netscape/admin/certsrv/managecert/ManageCertDialog.java
-    com/netscape/admin/certsrv/managecert/CertificateInfoDialog.java
-    com/netscape/admin/certsrv/EAdminException.java
-    com/netscape/admin/certsrv/CMSTableModel.java
-    com/netscape/admin/certsrv/IDisplayPanel.java
-    com/netscape/admin/certsrv/CustomComboBoxModel.java
-    com/netscape/admin/certsrv/CMSUIFramework.java
-    com/netscape/admin/certsrv/ISubSystemUILoader.java
-    com/netscape/admin/certsrv/CMSRemoteClassLoader.java
-    com/netscape/admin/certsrv/config/PolicyRuleDataModel.java
-    com/netscape/admin/certsrv/config/CMSBaseLDAPPanel.java
-    com/netscape/admin/certsrv/config/CMSSelfTestsPanel.java
-    com/netscape/admin/certsrv/config/RuleImplTab.java
-    com/netscape/admin/certsrv/config/ProfileEditDataModel.java
-    com/netscape/admin/certsrv/config/ProfileInstanceTab.java
-    com/netscape/admin/certsrv/config/ACLDataModel.java
-    com/netscape/admin/certsrv/config/PublisherRuleDataModel.java
-    com/netscape/admin/certsrv/config/MapperImplDataModel.java
-    com/netscape/admin/certsrv/config/ProfileComponentCellEditor.java
-    com/netscape/admin/certsrv/config/LogPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/RuleRegisterDialog.java
-    com/netscape/admin/certsrv/config/CMSBaseConfigPanel.java
-    com/netscape/admin/certsrv/config/CMSCRLFormatPanel.java
-    com/netscape/admin/certsrv/config/CRLIPEditor.java
-    com/netscape/admin/certsrv/config/CMSAccessLogPanel.java
-    com/netscape/admin/certsrv/config/WarningDialog.java
-    com/netscape/admin/certsrv/config/PolicyPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/ListCertsModel.java
-    com/netscape/admin/certsrv/config/CMSAutoRecovery.java
-    com/netscape/admin/certsrv/config/CRLExtensionsPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/CMSSNMPPanel.java
-    com/netscape/admin/certsrv/config/MapperImplTab.java
-    com/netscape/admin/certsrv/config/CRLExtensionsInstanceTab.java
-    com/netscape/admin/certsrv/config/ProfileRegisterDialog.java
-    com/netscape/admin/certsrv/config/CMSCipherPreferenceDialog.java
-    com/netscape/admin/certsrv/config/RegisterDialog.java
-    com/netscape/admin/certsrv/config/CMSCipherPreferencePane.java
-    com/netscape/admin/certsrv/config/ACIDialog.java
-    com/netscape/admin/certsrv/config/PolicyRuleOrderDialog.java
-    com/netscape/admin/certsrv/config/MapperPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/PolicyImplTab.java
-    com/netscape/admin/certsrv/config/ViewDialog.java
-    com/netscape/admin/certsrv/config/MapperRegisterDialog.java
-    com/netscape/admin/certsrv/config/JobsRuleDataModel.java
-    com/netscape/admin/certsrv/config/GeneralLogPanel.java
-    com/netscape/admin/certsrv/config/WMNSelection.java
-    com/netscape/admin/certsrv/config/OCSPStoresConfigDialog.java
-    com/netscape/admin/certsrv/config/PublisherPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/JobsImplDataModel.java
-    com/netscape/admin/certsrv/config/WBaseKeyPage.java
-    com/netscape/admin/certsrv/config/CMSRACLMPanel.java
-    com/netscape/admin/certsrv/config/WMNResultPage.java
-    com/netscape/admin/certsrv/config/WMNOldAgent.java
-    com/netscape/admin/certsrv/config/PolicyInstanceTab.java
-    com/netscape/admin/certsrv/config/ProfileImplTab.java
-    com/netscape/admin/certsrv/config/PluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/CMSCRLSettingPanel.java
-    com/netscape/admin/certsrv/config/CMSCRLIPPanel.java
-    com/netscape/admin/certsrv/config/CMSLDAPSettingPanel.java
-    com/netscape/admin/certsrv/config/PublisherImplTab.java
-    com/netscape/admin/certsrv/config/RuleImplDataModel.java
-    com/netscape/admin/certsrv/config/ProfilePolicyEditDataModel.java
-    com/netscape/admin/certsrv/config/LogInstanceTab.java
-    com/netscape/admin/certsrv/config/CMSPasswordDialog.java
-    com/netscape/admin/certsrv/config/UserCertsTab.java
-    com/netscape/admin/certsrv/config/CMSSSL3CipherPreference.java
-    com/netscape/admin/certsrv/config/WBaseManualCertRequestPage.java
-    com/netscape/admin/certsrv/config/WBaseCertRequestPage.java
-    com/netscape/admin/certsrv/config/ProfileImplDataModel.java
-    com/netscape/admin/certsrv/config/JobsSettingPanel.java
-    com/netscape/admin/certsrv/config/CMSBaseConfigDialog.java
-    com/netscape/admin/certsrv/config/ViewTableModel.java
-    com/netscape/admin/certsrv/config/OCSPStoresPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/CMSCAConnectorPanel.java
-    com/netscape/admin/certsrv/config/CMSKRASchemePanel.java
-    com/netscape/admin/certsrv/config/RuleInstanceTab.java
-    com/netscape/admin/certsrv/config/PolicyConfigDialog.java
-    com/netscape/admin/certsrv/config/ConnectorEditor.java
-    com/netscape/admin/certsrv/config/ProfilePolicyNewDialog.java
-    com/netscape/admin/certsrv/config/CMSErrorLogPanel.java
-    com/netscape/admin/certsrv/config/RulePluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/AutoRecoveryModel.java
-    com/netscape/admin/certsrv/config/PublisherInstanceTab.java
-    com/netscape/admin/certsrv/config/WBaseDNValidityPage.java
-    com/netscape/admin/certsrv/config/install/WITrustDBPage.java
-    com/netscape/admin/certsrv/config/install/WIRequestResultPage.java
-    com/netscape/admin/certsrv/config/install/WIPasteOCSPCertPage.java
-    com/netscape/admin/certsrv/config/install/WIRACertExtensionPage.java
-    com/netscape/admin/certsrv/config/install/WIKRANumberPage.java
-    com/netscape/admin/certsrv/config/install/WIKRARequestResultPage.java
-    com/netscape/admin/certsrv/config/install/WIGenCAKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WICACertValidityPage.java
-    com/netscape/admin/certsrv/config/install/WIRAMessageDigestPage.java
-    com/netscape/admin/certsrv/config/install/WICloneTKSKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallCACertStatusPage.java
-    com/netscape/admin/certsrv/config/install/WIGenOCSPKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WIKeyPage.java
-    com/netscape/admin/certsrv/config/install/WIPasteSSLCertPage.java
-    com/netscape/admin/certsrv/config/install/WIKRAScheme1Page.java
-    com/netscape/admin/certsrv/config/install/WIDBEnrollPage.java
-    com/netscape/admin/certsrv/config/install/WIKRACertDNPage.java
-    com/netscape/admin/certsrv/config/install/WICertDNPage.java
-    com/netscape/admin/certsrv/config/install/WIManualKRACertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WIConfigWebServerPage.java
-    com/netscape/admin/certsrv/config/install/WIGenKeyCertReqPage.java
-    com/netscape/admin/certsrv/config/install/WIKRAStorageKeyPage.java
-    com/netscape/admin/certsrv/config/install/WIClonePage.java
-    com/netscape/admin/certsrv/config/install/WILogonAllTokensPage.java
-    com/netscape/admin/certsrv/config/install/WICloneCAKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WIMigrationPage.java
-    com/netscape/admin/certsrv/config/install/WICACertPage.java
-    com/netscape/admin/certsrv/config/install/WIRACertSubmitPage.java
-    com/netscape/admin/certsrv/config/install/WICertExtensionPage.java
-    com/netscape/admin/certsrv/config/install/WIInternalTokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/WIRACertDNPage.java
-    com/netscape/admin/certsrv/config/install/WIServerCertExtensionPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallCert2Page.java
-    com/netscape/admin/certsrv/config/install/WIGenRAKeyCertReqPage.java
-    com/netscape/admin/certsrv/config/install/WIKRAMessageDigestPage.java
-    com/netscape/admin/certsrv/config/install/WILoggingPage.java
-    com/netscape/admin/certsrv/config/install/WIKRATokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/WIRARequestResultPage.java
-    com/netscape/admin/certsrv/config/install/WIOCSPRequestResultPage.java
-    com/netscape/admin/certsrv/config/install/WIDisplayRACertPage.java
-    com/netscape/admin/certsrv/config/install/WICACertSubmitPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallCAIntroPage.java
-    com/netscape/admin/certsrv/config/install/WICloneMasterPage.java
-    com/netscape/admin/certsrv/config/install/WICertSubmitPage.java
-    com/netscape/admin/certsrv/config/install/WIRATokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/WICloneRAKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WIGenKRAKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WICAKeyPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallIntroPage.java
-    com/netscape/admin/certsrv/config/install/WIDisplayOCSPCertPage.java
-    com/netscape/admin/certsrv/config/install/WIIntroSingleSignonPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallRACertStatusPage.java
-    com/netscape/admin/certsrv/config/install/WINetworkPage.java
-    com/netscape/admin/certsrv/config/install/WIOCSPKeyPage.java
-    com/netscape/admin/certsrv/config/install/WIManualSSLCertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WIGenCAKeyCertReqPage.java
-    com/netscape/admin/certsrv/config/install/WIDisplayCACertPage.java
-    com/netscape/admin/certsrv/config/install/WICAMessageDigestPage.java
-    com/netscape/admin/certsrv/config/install/WIServerCertValidityPage.java
-    com/netscape/admin/certsrv/config/install/WIKRACertValidityPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallSSLIntroPage.java
-    com/netscape/admin/certsrv/config/install/WIServerKeyPage.java
-    com/netscape/admin/certsrv/config/install/WISSLRequestResultPage.java
-    com/netscape/admin/certsrv/config/install/WIServerCertDNPage.java
-    com/netscape/admin/certsrv/config/install/WIOCSPMessageDigestPage.java
-    com/netscape/admin/certsrv/config/install/WIOCSPTokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/WIPasteRACertPage.java
-    com/netscape/admin/certsrv/config/install/WISSLTokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/ComponentCellRenderer.java
-    com/netscape/admin/certsrv/config/install/WIInstallCertStatusPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallCert1Page.java
-    com/netscape/admin/certsrv/config/install/WIGenKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallRAIntroPage.java
-    com/netscape/admin/certsrv/config/install/WIOCSPCertSubmitPage.java
-    com/netscape/admin/certsrv/config/install/WIInternalDBInfoPage.java
-    com/netscape/admin/certsrv/config/install/WICloneKRAKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WISSLMessageDigestPage.java
-    com/netscape/admin/certsrv/config/install/WIManualOCSPCertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WICATokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/WICACert2Page.java
-    com/netscape/admin/certsrv/config/install/WIInstallKRAIntroPage.java
-    com/netscape/admin/certsrv/config/install/WIManualRACertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WITokenLogonPage.java
-    com/netscape/admin/certsrv/config/install/WIRACertValidityPage.java
-    com/netscape/admin/certsrv/config/install/WICARequestResultPage.java
-    com/netscape/admin/certsrv/config/install/WIIntroMigrationPage.java
-    com/netscape/admin/certsrv/config/install/WIRAKeyPage.java
-    com/netscape/admin/certsrv/config/install/WIGenServerKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WIKRAScheme2Page.java
-    com/netscape/admin/certsrv/config/install/WICAOCSPServicePage.java
-    com/netscape/admin/certsrv/config/install/WILDAPPublishingPage.java
-    com/netscape/admin/certsrv/config/install/WICACertDNPage.java
-    com/netscape/admin/certsrv/config/install/WIRemoteCASubsystem.java
-    com/netscape/admin/certsrv/config/install/WIRecreateDBPage.java
-    com/netscape/admin/certsrv/config/install/WIServerCertSubmitPage.java
-    com/netscape/admin/certsrv/config/install/WIAllCertsInstalledPage.java
-    com/netscape/admin/certsrv/config/install/InstallWizardInfo.java
-    com/netscape/admin/certsrv/config/install/WIManualCertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WIManualCACertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WIIntroPage.java
-    com/netscape/admin/certsrv/config/install/WIAdminPage.java
-    com/netscape/admin/certsrv/config/install/WIPasteKRACertPage.java
-    com/netscape/admin/certsrv/config/install/WICACertExtensionPage.java
-    com/netscape/admin/certsrv/config/install/WIGenOCSPKeyCertReqPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallOCSPIntroPage.java
-    com/netscape/admin/certsrv/config/install/WICertSetupStatusPage.java
-    com/netscape/admin/certsrv/config/install/WIPasteCACertPage.java
-    com/netscape/admin/certsrv/config/install/WIKRACertExtensionPage.java
-    com/netscape/admin/certsrv/config/install/WIGenRAKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WISMTPPage.java
-    com/netscape/admin/certsrv/config/install/WIReplAgreementPage.java
-    com/netscape/admin/certsrv/config/install/WISingleSignonPage.java
-    com/netscape/admin/certsrv/config/install/WIOCSPCertDNPage.java
-    com/netscape/admin/certsrv/config/install/WIKRAKeyPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallKRACertStatusPage.java
-    com/netscape/admin/certsrv/config/install/WICertValidityPage.java
-    com/netscape/admin/certsrv/config/install/WICreateInternalDBPage.java
-    com/netscape/admin/certsrv/config/install/WIRemoteKRASubsystem.java
-    com/netscape/admin/certsrv/config/install/WIDisplayCertPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallOCSPCertStatusPage.java
-    com/netscape/admin/certsrv/config/install/WIInternalDBPage.java
-    com/netscape/admin/certsrv/config/install/WICACert1Page.java
-    com/netscape/admin/certsrv/config/install/WIDisplaySSLCertPage.java
-    com/netscape/admin/certsrv/config/install/WIInstallSSLCertStatusPage.java
-    com/netscape/admin/certsrv/config/install/WIExistingDBPage.java
-    com/netscape/admin/certsrv/config/install/InstallWizard.java
-    com/netscape/admin/certsrv/config/install/WIGenKRAKeyCertReqPage.java
-    com/netscape/admin/certsrv/config/install/WIMasterOrClone.java
-    com/netscape/admin/certsrv/config/install/WIServicesPage.java
-    com/netscape/admin/certsrv/config/install/WIKRACertSubmitPage.java
-    com/netscape/admin/certsrv/config/install/WICertRequestPage.java
-    com/netscape/admin/certsrv/config/install/WICloneOCSPKeyCertPage.java
-    com/netscape/admin/certsrv/config/install/WICASerialNumberPage.java
-    com/netscape/admin/certsrv/config/install/WIGenSSLKeyCertReqPage.java
-    com/netscape/admin/certsrv/config/install/WIPasteCertPage.java
-    com/netscape/admin/certsrv/config/install/WIDisplayKRACertPage.java
-    com/netscape/admin/certsrv/config/install/WICACert1CustomPage.java
-    com/netscape/admin/certsrv/config/ProfileDataTable.java
-    com/netscape/admin/certsrv/config/CMSSSL2CipherSet.java
-    com/netscape/admin/certsrv/config/CMSCACertSettingPanel.java
-    com/netscape/admin/certsrv/config/PublisherConfigDialog.java
-    com/netscape/admin/certsrv/config/CMSAuditLogPanel.java
-    com/netscape/admin/certsrv/config/ACLImplDataModel.java
-    com/netscape/admin/certsrv/config/CMSCertSettingPanel.java
-    com/netscape/admin/certsrv/config/CMSKRAAutoPanel.java
-    com/netscape/admin/certsrv/config/CMSCAGeneralPanel.java
-    com/netscape/admin/certsrv/config/CMSEncryptionPanel.java
-    com/netscape/admin/certsrv/config/CMSOCSPGeneralPanel.java
-    com/netscape/admin/certsrv/config/PublisherRegisterDialog.java
-    com/netscape/admin/certsrv/config/ProfileNonPolicySelDialog.java
-    com/netscape/admin/certsrv/config/LogImplDataModel.java
-    com/netscape/admin/certsrv/config/LogImplTab.java
-    com/netscape/admin/certsrv/config/ProfilePolicyEditDialog.java
-    com/netscape/admin/certsrv/config/CRLExtensionsRuleDataModel.java
-    com/netscape/admin/certsrv/config/CMSCALDAPPanel.java
-    com/netscape/admin/certsrv/config/CMSBlankPanel.java
-    com/netscape/admin/certsrv/config/CMSTabPanel.java
-    com/netscape/admin/certsrv/config/CACertsTab.java
-    com/netscape/admin/certsrv/config/CMSRAGeneralPanel.java
-    com/netscape/admin/certsrv/config/ViewSelfTestsDialog.java
-    com/netscape/admin/certsrv/config/CMSBaseLogPanel.java
-    com/netscape/admin/certsrv/config/CMSPluginInstanceTab.java
-    com/netscape/admin/certsrv/config/MapperConfigDialog.java
-    com/netscape/admin/certsrv/config/TKSKeysTab.java
-    com/netscape/admin/certsrv/config/ConfigTableModel.java
-    com/netscape/admin/certsrv/config/OCSPStoresInstanceTab.java
-    com/netscape/admin/certsrv/config/ProfileEditDialog.java
-    com/netscape/admin/certsrv/config/EvaluatorRegisterDialog.java
-    com/netscape/admin/certsrv/config/ACLPanel.java
-    com/netscape/admin/certsrv/config/LogRegisterDialog.java
-    com/netscape/admin/certsrv/config/OCSPStoresRuleDataModel.java
-    com/netscape/admin/certsrv/config/PanelMapperConfigDialog.java
-    com/netscape/admin/certsrv/config/LogConfigDialog.java
-    com/netscape/admin/certsrv/config/CMSKRAPasswdPanel.java
-    com/netscape/admin/certsrv/config/CMSRALDAPPanel.java
-    com/netscape/admin/certsrv/config/CMSRuleDataModel.java
-    com/netscape/admin/certsrv/config/ProfileConfigDataModel.java
-    com/netscape/admin/certsrv/config/MapperInstanceTab.java
-    com/netscape/admin/certsrv/config/JobsConfigDialog.java
-    com/netscape/admin/certsrv/config/MNSchemeWizard.java
-    com/netscape/admin/certsrv/config/RuleConfigDialog.java
-    com/netscape/admin/certsrv/config/ProfilePluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/JobsInstanceTab.java
-    com/netscape/admin/certsrv/config/JobsRegisterDialog.java
-    com/netscape/admin/certsrv/config/JobsImplTab.java
-    com/netscape/admin/certsrv/config/WBaseCertExtensionPage.java
-    com/netscape/admin/certsrv/config/CMSBaseTab.java
-    com/netscape/admin/certsrv/config/ACLImplTab.java
-    com/netscape/admin/certsrv/config/KeyCreateDialog.java
-    com/netscape/admin/certsrv/config/CMSNetworkPanel.java
-    com/netscape/admin/certsrv/config/ProfileConfigDialog.java
-    com/netscape/admin/certsrv/config/MapperRuleDataModel.java
-    com/netscape/admin/certsrv/config/WBaseValidityPage.java
-    com/netscape/admin/certsrv/config/CMSSSL3CipherSet.java
-    com/netscape/admin/certsrv/config/CMSEAGeneralPanel.java
-    com/netscape/admin/certsrv/config/WBaseDNPage.java
-    com/netscape/admin/certsrv/config/CMStoAdminEncryptionPane.java
-    com/netscape/admin/certsrv/config/ListKeysModel.java
-    com/netscape/admin/certsrv/config/CMSSSL2CipherPreference.java
-    com/netscape/admin/certsrv/config/ACLEditDialog.java
-    com/netscape/admin/certsrv/config/CRLExtensionsConfigDialog.java
-    com/netscape/admin/certsrv/config/ProfilePolicySelectionDialog.java
-    com/netscape/admin/certsrv/config/WMessageDigestPage.java
-    com/netscape/admin/certsrv/config/CMSUserCertSettingPanel.java
-    com/netscape/admin/certsrv/config/MNSchemeWizardInfo.java
-    com/netscape/admin/certsrv/config/PublisherImplDataModel.java
-    com/netscape/admin/certsrv/config/CMSSMTPPanel.java
-    com/netscape/admin/certsrv/config/JobsPluginSelectionDialog.java
-    com/netscape/admin/certsrv/config/LogRuleDataModel.java
-    com/netscape/admin/certsrv/config/CMSCRLCachePanel.java
-    com/netscape/admin/certsrv/config/ProfileNonPolicyNewDialog.java
-    com/netscape/admin/certsrv/config/RuleRuleDataModel.java
-    com/netscape/admin/certsrv/config/ProfileRuleDataModel.java
-    com/netscape/admin/certsrv/config/WMNNewAgent.java
-    com/netscape/admin/certsrv/config/CMSRAConnectorPanel.java
-    com/netscape/admin/certsrv/config/PolicyRegisterDialog.java
-    com/netscape/admin/certsrv/config/PolicyImplDataModel.java
-    com/netscape/admin/certsrv/config/ProfileListDataModel.java
-    com/netscape/admin/certsrv/IDataProcessor.java
-    com/netscape/admin/certsrv/MultilineLabelUI.java
-    com/netscape/admin/certsrv/LabelCellRenderer.java
-    com/netscape/admin/certsrv/GenericCellRenderer.java
-    com/netscape/admin/certsrv/task/AuthDialog.java
-    com/netscape/admin/certsrv/task/CreateInstanceDialog.java
-    com/netscape/admin/certsrv/task/CMSStart.java
-    com/netscape/admin/certsrv/task/StatusDialog.java
-    com/netscape/admin/certsrv/task/CGITask.java
-    com/netscape/admin/certsrv/task/CMSConfigCert.java
-    com/netscape/admin/certsrv/task/CMSMigrateCreate.java
-    com/netscape/admin/certsrv/task/KeyCert.java
-    com/netscape/admin/certsrv/task/CMSStartDaemon.java
-    com/netscape/admin/certsrv/task/CMSRestart.java
-    com/netscape/admin/certsrv/task/CMSStop.java
-    com/netscape/admin/certsrv/task/CMSStatus.java
-    com/netscape/admin/certsrv/task/CMSRemove.java
-    com/netscape/admin/certsrv/task/CMSImportCert.java
-    com/netscape/admin/certsrv/task/CMSRequestCert.java
-    com/netscape/admin/certsrv/task/CMSCertRequest.java
-    com/netscape/admin/certsrv/IMenuAction.java
-    com/netscape/admin/certsrv/CMSEAUILoader.java
-    com/netscape/admin/certsrv/wizard/WizardWidget.java
-    com/netscape/admin/certsrv/wizard/IWizardDone.java
-    com/netscape/admin/certsrv/wizard/WizardInfo.java
-    com/netscape/admin/certsrv/wizard/ConfigServlet.java
-    com/netscape/admin/certsrv/wizard/IWizardPanel.java
-    com/netscape/admin/certsrv/wizard/WizardBasePanel.java
-    com/netscape/admin/certsrv/CellEditorData.java
-    com/netscape/admin/certsrv/CMSContentTableModel.java
-    com/netscape/admin/certsrv/keycert/WCAKeyPage.java
-    com/netscape/admin/certsrv/keycert/WSSLKeyPage.java
-    com/netscape/admin/certsrv/keycert/WKeyPage.java
-    com/netscape/admin/certsrv/keycert/WWarningExecute1Page.java
-    com/netscape/admin/certsrv/keycert/WTokenLogonPage.java
-    com/netscape/admin/certsrv/keycert/CertSetupWizard.java
-    com/netscape/admin/certsrv/keycert/WCertMessageDigestPage.java
-    com/netscape/admin/certsrv/keycert/WCertRequestPage.java
-    com/netscape/admin/certsrv/keycert/WWarningExecutePage.java
-    com/netscape/admin/certsrv/keycert/WPasteCertPage.java
-    com/netscape/admin/certsrv/keycert/WCertValidityPage.java
-    com/netscape/admin/certsrv/keycert/WCertExtensionPage.java
-    com/netscape/admin/certsrv/keycert/WInstallOpPage.java
-    com/netscape/admin/certsrv/keycert/WDisplayCertPage.java
-    com/netscape/admin/certsrv/keycert/WWarningPage.java
-    com/netscape/admin/certsrv/keycert/WRequestStatusPage.java
-    com/netscape/admin/certsrv/keycert/WCertTypePage.java
-    com/netscape/admin/certsrv/keycert/WIntroInstallCertPage.java
-    com/netscape/admin/certsrv/keycert/CertSetupWizardInfo.java
-    com/netscape/admin/certsrv/keycert/WInstallStatusPage.java
-    com/netscape/admin/certsrv/keycert/WExecutePage.java
-    com/netscape/admin/certsrv/keycert/WOperationSelectionPage.java
-    com/netscape/admin/certsrv/keycert/WTokenSelectionPage.java
-    com/netscape/admin/certsrv/keycert/WGenerateReqPage.java
-    com/netscape/admin/certsrv/keycert/WManualCertRequestPage.java
-    com/netscape/admin/certsrv/keycert/WInstallCertChainPage.java
-    com/netscape/admin/certsrv/keycert/WOtherCertRequest1Page.java
-    com/netscape/admin/certsrv/keycert/WExecute1Page.java
-    com/netscape/admin/certsrv/keycert/WIntroPage.java
-    com/netscape/admin/certsrv/keycert/WCertDNValidityPage.java
-    com/netscape/admin/certsrv/keycert/WCertDNPage.java
-    com/netscape/admin/certsrv/keycert/WIssueImportStatusPage.java
-    com/netscape/admin/certsrv/keycert/WCACertRequest1Page.java
-    com/netscape/admin/certsrv/keycert/WRAKeyPage.java
-    com/netscape/admin/certsrv/IRefreshTabPanel.java
-    com/netscape/admin/certsrv/status/LogDataModel.java
-    com/netscape/admin/certsrv/status/AccessLogDataModel.java
-    com/netscape/admin/certsrv/status/LogInstancePanel.java
-    com/netscape/admin/certsrv/status/DefaultLogParser.java
-    com/netscape/admin/certsrv/status/ErrorLogDataModel.java
-    com/netscape/admin/certsrv/status/CMSLogPanel.java
-    com/netscape/admin/certsrv/status/StatusPanel.java
-    com/netscape/admin/certsrv/status/LogEntryViewDialog.java
-    com/netscape/admin/certsrv/status/ILogParser.java
-    com/netscape/admin/certsrv/status/AuditLogDataModel.java
-    com/netscape/admin/certsrv/StatusItemContinuousProgress.java
-    com/netscape/admin/certsrv/CMSPassword.java
-    com/netscape/admin/certsrv/ug/AuthRuleDataModel.java
-    com/netscape/admin/certsrv/ug/AuthConfigDialog.java
-    com/netscape/admin/certsrv/ug/AuthPluginSelectionDialog.java
-    com/netscape/admin/certsrv/ug/UserDataModel.java
-    com/netscape/admin/certsrv/ug/GroupDataModel.java
-    com/netscape/admin/certsrv/ug/GroupListDialog.java
-    com/netscape/admin/certsrv/ug/UserListDataModel.java
-    com/netscape/admin/certsrv/ug/GroupListDataModel.java
-    com/netscape/admin/certsrv/ug/CMSBaseUGTab.java
-    com/netscape/admin/certsrv/ug/CMSUGTabPanel.java
-    com/netscape/admin/certsrv/ug/CertDataModel.java
-    com/netscape/admin/certsrv/ug/MemberDataModel.java
-    com/netscape/admin/certsrv/ug/UserEditor.java
-    com/netscape/admin/certsrv/ug/GroupTab.java
-    com/netscape/admin/certsrv/ug/AuthRegisterDialog.java
-    com/netscape/admin/certsrv/ug/CertImportDialog.java
-    com/netscape/admin/certsrv/ug/AuthInstanceTab.java
-    com/netscape/admin/certsrv/ug/CertViewDialog.java
-    com/netscape/admin/certsrv/ug/CertManagementDialog.java
-    com/netscape/admin/certsrv/ug/AuthImplDataModel.java
-    com/netscape/admin/certsrv/ug/UserTab.java
-    com/netscape/admin/certsrv/ug/AuthViewDialog.java
-    com/netscape/admin/certsrv/ug/AuthImplTab.java
-    com/netscape/admin/certsrv/ug/GroupEditor.java
-    com/netscape/admin/certsrv/ug/UserListDialog.java
-    com/netscape/admin/certsrv/ug/AuthBaseDialog.java
-    com/netscape/admin/certsrv/IConnectionListener.java
-    com/netscape/admin/certsrv/UIMapperRegistry.java
-    com/netscape/admin/certsrv/HourGlass.java
-    com/netscape/admin/certsrv/CMSBaseResourceModel.java
-    com/netscape/admin/certsrv/menu/CertManagementAction.java
-    com/netscape/admin/certsrv/menu/PKCS11ManagementAction.java
-    com/netscape/admin/certsrv/menu/RefreshTabPane.java
-    com/netscape/admin/certsrv/menu/KeyCertAction.java
-    com/netscape/admin/certsrv/IRefreshTab.java
-    com/netscape/admin/certsrv/CMSKernelUILoader.java
-    com/netscape/admin/certsrv/CMSMessageBox.java
-    com/netscape/admin/certsrv/DefaultTableCellEditor.java
-    com/netscape/admin/certsrv/security/GuideCreateTrustPane.java
-    com/netscape/admin/certsrv/security/SSL2CipherSet.java
-    com/netscape/admin/certsrv/security/Comm.java
-    com/netscape/admin/certsrv/security/CertBasicInfo.java
-    com/netscape/admin/certsrv/security/CRLAddCertDialog.java
-    com/netscape/admin/certsrv/security/AbstractCipherPreference.java
-    com/netscape/admin/certsrv/security/WizardObservable.java
-    com/netscape/admin/certsrv/security/CertDetailInfoDialog.java
-    com/netscape/admin/certsrv/security/IAbstractCipherSet.java
-    com/netscape/admin/certsrv/security/StatusPane.java
-    com/netscape/admin/certsrv/security/Response.java
-    com/netscape/admin/certsrv/security/ICipherConstants.java
-    com/netscape/admin/certsrv/security/MessageDialog.java
-    com/netscape/admin/certsrv/security/SSL2CipherPreference.java
-    com/netscape/admin/certsrv/security/KeyCertTaskInfo.java
-    com/netscape/admin/certsrv/security/AbstractCipher.java
-    com/netscape/admin/certsrv/security/CertInstallTypePane.java
-    com/netscape/admin/certsrv/security/CertInstallCertPane.java
-    com/netscape/admin/certsrv/security/ChangeKeyPasswordDialog.java
-    com/netscape/admin/certsrv/security/CertRequestEnterPasswordPane.java
-    com/netscape/admin/certsrv/security/CertListTableModel.java
-    com/netscape/admin/certsrv/security/KeyCertUtility.java
-    com/netscape/admin/certsrv/security/CreateTrustPane.java
-    com/netscape/admin/certsrv/security/CipherPreferenceDialog.java
-    com/netscape/admin/certsrv/security/CRLTableModel.java
-    com/netscape/admin/certsrv/security/CRLTable.java
-    com/netscape/admin/certsrv/security/EncryptionPane.java
-    com/netscape/admin/certsrv/security/PKCS11ManagementDialog.java
-    com/netscape/admin/certsrv/security/CertInfo.java
-    com/netscape/admin/certsrv/security/CRLCertInfoPane.java
-    com/netscape/admin/certsrv/security/CertRequestSelectTokenPane.java
-    com/netscape/admin/certsrv/security/GuideCertRequestPane.java
-    com/netscape/admin/certsrv/security/IKeyCertPage.java
-    com/netscape/admin/certsrv/security/SSL3CipherSet.java
-    com/netscape/admin/certsrv/security/Message.java
-    com/netscape/admin/certsrv/security/CertInstallCertInfoPane.java
-    com/netscape/admin/certsrv/security/CertListTable.java
-    com/netscape/admin/certsrv/security/CRLManagementDialog.java
-    com/netscape/admin/certsrv/security/GuideIntroPane.java
-    com/netscape/admin/certsrv/security/CertRequestTypePane.java
-    com/netscape/admin/certsrv/security/ToggleCipherPreferencePane.java
-    com/netscape/admin/certsrv/security/CertInfoDialog.java
-    com/netscape/admin/certsrv/security/CipherResourceSet.java
-    com/netscape/admin/certsrv/security/CertManagementDialog.java
-    com/netscape/admin/certsrv/security/KeyCertWizard.java
-    com/netscape/admin/certsrv/security/GuideCertInstallPane.java
-    com/netscape/admin/certsrv/security/CertRequestInfoPane.java
-    com/netscape/admin/certsrv/security/PKCS11AddModuleDialog.java
-    com/netscape/admin/certsrv/security/SSL3CipherPreference.java
-    com/netscape/admin/certsrv/security/CRLDeleteCertDialog.java
-    com/netscape/admin/certsrv/security/IEncryptionPaneListener.java
-    com/netscape/admin/certsrv/security/CipherEntry.java
-    com/netscape/admin/certsrv/security/CertRequestCertPane.java
-    com/netscape/admin/certsrv/CMSServerInfo.java
-    com/netscape/admin/certsrv/notification/RequestInQPanel.java
-    com/netscape/admin/certsrv/notification/RequestCompletePanel.java
-    com/netscape/admin/certsrv/notification/RequestRevokedPanel.java
-    com/netscape/admin/certsrv/IUIMapper.java
-    com/netscape/admin/certsrv/images/alertl.gif
-    com/netscape/admin/certsrv/images/rulesobj.gif
-    com/netscape/admin/certsrv/images/secure.gif
-    com/netscape/admin/certsrv/images/red-ball-small.gif
-    com/netscape/admin/certsrv/images/error.gif
-    com/netscape/admin/certsrv/images/UGobjs.gif
-    com/netscape/admin/certsrv/images/allfolder16n.gif
-    com/netscape/admin/certsrv/images/aclobj.gif
-    com/netscape/admin/certsrv/images/alllogfolder16n.gif
-    com/netscape/admin/certsrv/images/alluser16n.gif
-    com/netscape/admin/certsrv/images/authobj.gif
-    com/netscape/admin/certsrv/images/plugin.gif
-    com/netscape/admin/certsrv/images/LOGobjs.gif
-    com/netscape/admin/certsrv/images/acl.gif
-    com/netscape/admin/certsrv/images/messagel.gif
-    com/netscape/admin/certsrv/images/genobject.gif
-    com/netscape/admin/certsrv/images/auth.gif
-    com/netscape/admin/certsrv/images/cms-branding.gif
-    com/netscape/admin/certsrv/images/plug.gif
-    com/netscape/admin/certsrv/images/servlet-16.gif
-    com/netscape/admin/certsrv/images/CertificateServer.gif
-    com/netscape/admin/certsrv/images/ruleplugin-16.gif
-    com/netscape/admin/certsrv/images/aclplugin.gif
-    com/netscape/admin/certsrv/images/ruleDisable-16.gif
-    com/netscape/admin/certsrv/images/servletobj.gif
-    com/netscape/admin/certsrv/images/authplugin.gif
-    com/netscape/admin/certsrv/images/CertificateServerL.gif
-    com/netscape/admin/certsrv/images/alllogdoc16n.gif
-    com/netscape/admin/certsrv/images/jobplugin.gif
-    com/netscape/admin/certsrv/images/pluginfolder.gif
-    com/netscape/admin/certsrv/images/rule-16.gif
-    com/netscape/admin/certsrv/images/jobs.gif
-    com/netscape/admin/certsrv/images/cert41.gif
-    com/netscape/admin/certsrv/images/cert42.gif
-    com/netscape/admin/certsrv/images/cert24.gif
-    com/netscape/admin/certsrv/images/servlet-plugin-16.gif
-    com/netscape/admin/certsrv/images/jobobj.gif
-    com/netscape/admin/certsrv/images/alluserwithcert16n.gif
-    com/netscape/admin/certsrv/images/notsecure.gif
-    com/netscape/admin/certsrv/images/ldapub.gif
-    com/netscape/admin/certsrv/images/allgroup16n.gif
+# build console classes
+javac(pki-console-classes
+    SOURCES
+        com/netscape/admin/certsrv/*.java
+    CLASSPATH
+        ${CMAKE_BINARY_DIR}/classes
+        ${BASE_JAR} ${LDAPJDK_JAR} ${MMC_JAR}
+        ${MMC_EN_JAR} ${NMCLF_JAR} ${NMCLF_EN_JAR}
+        ${PKI_NSUTIL_JAR}
+        ${JSS_JAR} ${COMMONS_CODEC_JAR}
+    OUTPUT_DIR
+        ${CMAKE_BINARY_DIR}/classes
+    DEPENDS
+        pki-common-classes
 )
 
-# set classpath
-set(CMAKE_JAVA_INCLUDE_PATH
-    ${BASE_JAR} ${LDAPJDK_JAR} ${MMC_JAR}
-    ${MMC_EN_JAR} ${NMCLF_JAR} ${NMCLF_EN_JAR}
-    ${PKI_NSUTIL_JAR}
-    ${JSS_JAR}
-    ${COMMONS_CODEC_JAR})
+# package common and console classes
+jar(pki-console-jar
+    CREATE
+        ${CMAKE_BINARY_DIR}/dist/pki-console-${APPLICATION_VERSION}.jar
+    INPUT_DIR
+        ${CMAKE_BINARY_DIR}/classes
+    FILES
+        com/netscape/admin/certsrv/*.class
+        com/netscape/certsrv/common/*.class
+    DEPENDS
+        pki-console-classes pki-common-classes
+)
 
+# package console resources
+jar(pki-console-resources
+    UPDATE
+        ${CMAKE_BINARY_DIR}/dist/pki-console-${APPLICATION_VERSION}.jar
+    FILES
+        com/netscape/admin/certsrv/images/*.gif
+    DEPENDS
+        pki-console-jar
+)
 
-# set version
-set(CMAKE_JAVA_TARGET_VERSION ${APPLICATION_VERSION})
+link(pki-console
+    SOURCE
+        ${CMAKE_BINARY_DIR}/dist/pki-console.jar
+    DEST
+        pki-console-${APPLICATION_VERSION}.jar
+    DEPENDS
+        pki-console-resources
+)
 
+install(
+    FILES
+        ${CMAKE_BINARY_DIR}/dist/pki-console.jar
+        ${CMAKE_BINARY_DIR}/dist/pki-console-${APPLICATION_VERSION}.jar
+    DESTINATION
+        ${JAVA_JAR_INSTALL_DIR}/pki
+)
 
-# build pki-console.jar
-add_jar(pki-console ${pki-console_java_SRCS})
-add_dependencies(pki-console pki-nsutil)
-install_jar(pki-console ${JAVA_JAR_INSTALL_DIR}/pki)
-set(PKI_CONSOLE_JAR ${pki-console_JAR_FILE} CACHE INTERNAL "pki-console jar file")
+set(PKI_CONSOLE_JAR ${CMAKE_BINARY_DIR}/dist/pki-console.jar CACHE INTERNAL "pki-console jar file")
 
diff --git a/scripts/compose_pki_console_packages b/scripts/compose_pki_console_packages
index a163525c306a39e52a7fa35b0f10ee57c03d3bca..5b5ea071d29e8509a6765cebd2803ca80aec229d 100755
--- a/scripts/compose_pki_console_packages
+++ b/scripts/compose_pki_console_packages
@@ -39,7 +39,7 @@ PKI_CONSOLE_VERSION="10.0.0.a1"
 ##
 
 PKI_SPECS_FILE="${PKI_DIR}/specs/${PKI_CONSOLE}.spec"
-PKI_COMPONENT_LIST="test console"
+PKI_COMPONENT_LIST="test common console"
 
 
 ##
diff --git a/specs/pki-console.spec b/specs/pki-console.spec
index b74bbfc2c600baeabfcffe1720f4d6a72143e309..eaae0d06b35f4e8b86ec49694bbc4a489b406445 100644
--- a/specs/pki-console.spec
+++ b/specs/pki-console.spec
@@ -7,7 +7,7 @@
 
 Name:             pki-console
 Version:          10.0.0
-Release:          %{?relprefix}4%{?prerel}%{?dist}
+Release:          %{?relprefix}5%{?prerel}%{?dist}
 Summary:          Certificate System - PKI Console
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -78,7 +78,11 @@ following "Mutually-Exclusive" PKI Theme packages:
 %build
 %{__mkdir_p} build
 cd build
-%cmake -DVAR_INSTALL_DIR:PATH=/var -DBUILD_PKI_CONSOLE:BOOL=ON -DJAVA_LIB_INSTALL_DIR=%{_jnidir} ..
+%cmake -DVAR_INSTALL_DIR:PATH=/var \
+    -DBUILD_PKI_CONSOLE:BOOL=ON \
+    -DJAVA_LIB_INSTALL_DIR=%{_jnidir} \
+    %{?_without_javadoc:-DWITH_JAVADOC:BOOL=OFF} \
+    ..
 %{__make} VERBOSE=1 %{?_smp_mflags}
 
 
@@ -96,6 +100,9 @@ cd build
 
 
 %changelog
+* Thu Jul 12 2012 Endi S. Dewata <edewata@redhat.com> 10.0.0-0.5.a1
+- Added option to build without Javadoc
+
 * Thu Apr  5 2012 Christina Fu <cfu@redhat.com> 10.0.0-0.4.a1
 - Bug 745278 - [RFE] ECC encryption keys cannot be archived
 
-- 
1.7.7.6

